/*
 * Write output to a device and ignore any incoming (echo) data.
 * $Id$
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse see product license.
 */

#include <dev/tty.h>

int	xmit(int fd, char *str)
{
	int	len = strlen(str);
	int	stat;

	while(inkey(fd, 2) > -1)
		continue;

	stat = write(fd, str, len);
	if(stat < 0)
		return stat;

	len = stat;
	while(len--)
		if(inkey(fd, 0) < 0)
			break;

	return stat;
}

	
	
